> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Documentation changes for December 30, 2025

As part of an ongoing effort to better align the documentation with the API, we've updated the add boarding application request schema. These changes affect the documentation only, the API itself was already accepting this data.

## Added `onCreate` field documentation

Added the `onCreate` field to the request body for **POST /Boarding/app/**. This field allows you to specify an action to take when the application is created. The only currently supported option is `submitApplication`. Use this when you have collected eSignature elsewhere or are adding additional locations for an applicant, or when you want to submit an application via API with one call without using the hosted boarding UI or embedded boarding components.